curl --request GET \
--url https://api.tilta.io/v1/buyers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/buyers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/buyers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/buyers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"limit": 100,
"offset": 0,
"total": 140,
"items": [
{
"external_id": "<string>",
"created_at": 1582896122,
"updated_at": 1582896122,
"max_days_past_due": 123,
"legal_name": "ACME GmbH",
"legal_form": "LIMITED_COMPANY",
"business_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"trading_name": "ACME",
"registered_at": 1582896122,
"incorporated_at": 1582896122,
"business_identifiers": [
{
"type": "VAT_ID",
"value": "<string>",
"country": "AF"
}
],
"delivery_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"custom_data": {},
"contacts": [
{
"external_id": "<string>",
"buyer_external_id": "<string>",
"assign_to_all_invoices": true,
"created_at": 1582896122,
"updated_at": 1582896122,
"salutation": "MR",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "+491711010101",
"address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
}
]
}
]
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}List buyers
Retrieve a paginated list of all buyers registered on your platform. Use limit and offset to page through large result sets efficiently.
limit and offset parameters to control page size and navigate through large result sets.
total field reflects the count of all buyers on your platform and does not change based on your limit or offset
values. Use it to drive pagination controls in your UI.Authorizations
Your Tilta API key, sent as Bearer <key>.
Query Parameters
The number of records to be taken.
x <= 100100
The number of records to be skipped.
0
Buyer's IDs to filter in buyers.
"buyer_123,buyer_456"
Buyer's legal name to filter in buyers.
Buyer's trading name to filter in buyers.
Buyer's legal forms to filter in buyers.
"LIMITED_COMPANY,PUBLIC_COMPANY"
Created at range filter (unix timestamps in seconds). Format: "gte..lte" where each bound is optional (e.g. "1580515200..1583020800").
"1580515200..1583020800"
Buyer's billing address countries to filter in buyers.
"DE,AT"
Buyer's billing address city to filter in buyers.
Buyer's billing address street to filter in buyers.
Buyer's billing address postcode to filter in buyers.
Buyer's delivery address countries to filter in buyers.
"DE,AT"
Buyer's delivery address city to filter in buyers.
Buyer's delivery address street to filter in buyers.
Buyer's delivery address postcode to filter in buyers.
Buyer's VAT IDs to filter in buyers.
Maximum days past due range to filter buyers by, in the format gte..lte.
"15..30"
Sort buyers by provided field in ascending or descending order. Prefix field with - for descending order. Example: sort_by=-created_at
Buyer sub-entities to expand in the response object. Currently supported: contacts (buyer contacts).
contacts ["contacts"]
Filter by a Custom Data field. Replace field in custom_data[field] with the field name. Bare values are strings; JSON numbers, booleans, quoted strings, and arrays preserve their JSON types. A scalar also matches an element of a stored array; an array matches a stored array containing all supplied values.
Response
Buyers for a platform.